> ## Documentation Index
> Fetch the complete documentation index at: https://docs.immutable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of metadata attribute filters

> Get list of metadata filters



## OpenAPI

````yaml https://imx-openapiv3-mr-sandbox.s3.us-east-2.amazonaws.com/openapi.json get /v1/chains/{chain_name}/search/filters/{contract_address}
openapi: 3.0.3
info:
  title: Immutable zkEVM API
  version: 1.0.0
  description: Immutable Multi Rollup API
  contact:
    name: Immutable API Support
    email: support@immutable.com
    url: https://support.immutable.com
servers:
  - url: https://api.sandbox.immutable.com
security: []
tags:
  - name: activities
    description: Activities Endpoints
    x-displayName: activities
  - name: chains
    description: Chains Endpoints
    x-displayName: chains
  - name: collections
    description: Collections Endpoints
    x-displayName: collections
  - name: nfts
    description: NFTs Endpoints
    x-displayName: nfts
  - name: nft owners
    description: NFT Owner Endpoints
    x-displayName: nft owners
  - name: metadata
    description: NFT Metadata Endpoints
    x-displayName: metadata
  - name: tokens
    description: ERC20 Token Endpoints
    x-displayName: tokens
  - name: demopage
    description: Temporary HTML endpoint for demo purposes
    x-displayName: demopage
  - name: verification
    x-displayName: verification
  - name: operatorallowlist
    x-displayName: operatorallowlist
  - name: crafting
    x-displayName: crafting
  - name: listings
    description: Listings Endpoints
    x-displayName: listings
  - name: orders
    x-displayName: orders
  - name: passport
    description: Passport operations
    x-displayName: passport
  - name: gamefi
    description: team gamefi
    x-displayName: gamefi
  - name: health
    x-displayName: health
  - name: passport profile
    description: Passport Profile endpoints
    x-displayName: passport profile
  - name: feed-items
    x-displayName: feed-items
  - name: assets
    x-displayName: assets
  - name: guardian
    description: Guardian endpoints
    x-displayName: guardian
  - name: pricing
    description: Pricing Endpoints
    x-displayName: pricing
  - name: metadata-search
    x-displayName: metadata-search
paths:
  /v1/chains/{chain_name}/search/filters/{contract_address}:
    get:
      tags:
        - metadata-search
      summary: Get list of metadata attribute filters
      description: Get list of metadata filters
      operationId: ListFilters
      parameters:
        - name: chain_name
          description: The name of chain
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ChainName'
          examples:
            testnet:
              value: imtbl-zkevm-testnet
              summary: Immutable zkEVM Public Testnet
        - name: contract_address
          in: path
          required: true
          description: Contract addresses for collection
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
            example: '0xe9b00a87700f660e46b6f5deaa1232836bcc07d3'
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListFiltersResult'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/UnauthorisedRequest'
        '403':
          $ref: '#/components/responses/ForbiddenRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    ChainName:
      type: string
      description: The name of chain
      example: imtbl-zkevm-testnet
    ListFiltersResult:
      type: object
      description: List filters result
      properties:
        result:
          $ref: '#/components/schemas/FilterResult'
        page:
          $ref: '#/components/schemas/Page'
      required:
        - result
        - page
    FilterResult:
      type: object
      properties:
        chain:
          $ref: '#/components/schemas/Chain'
        contract_address:
          type: string
          description: ETH Address of collection that the asset belongs to
          example: '0xe9b00a87700f660e46b6f5deaa1232836bcc07d3'
        filters:
          description: List of all filters and the most common values
          type: array
          items:
            $ref: '#/components/schemas/Filter'
      required:
        - chain
        - contract_address
        - filters
    Page:
      type: object
      description: Pagination properties
      properties:
        previous_cursor:
          type: string
          nullable: true
          description: First item as an encoded string
          example: >-
            ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=
        next_cursor:
          type: string
          nullable: true
          description: Last item as an encoded string
          example: >-
            ewogICJ0eXBlIjogInByZXYiLAogICJpdGVtIjogewogICAgImlkIjogNjI3NTEzMCwKICAgICJjcmVhdGVkX2F0IjogIjIwMjItMDktMTNUMTc6MDQ6MTIuMDI0MTI2WiIKICB9Cn0=
      required:
        - previous_cursor
        - next_cursor
    APIError400:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - VALIDATION_ERROR
              example: VALIDATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError401:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - UNAUTHORISED_REQUEST
              example: UNAUTHORISED_REQUEST
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError403:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - AUTHENTICATION_ERROR
              example: AUTHENTICATION_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError404:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - RESOURCE_NOT_FOUND
              example: RESOURCE_NOT_FOUND
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError429:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - TOO_MANY_REQUESTS_ERROR
              example: TOO_MANY_REQUESTS_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    APIError500:
      allOf:
        - $ref: '#/components/schemas/BasicAPIError'
        - type: object
          properties:
            code:
              type: string
              description: Error Code
              enum:
                - INTERNAL_SERVER_ERROR
              example: INTERNAL_SERVER_ERROR
            details:
              type: object
              nullable: true
              description: Additional details to help resolve the error
          required:
            - code
            - details
    Chain:
      type: object
      description: The chain details
      properties:
        id:
          type: string
          description: The id of chain
          example: eip155:13372
        name:
          type: string
          description: The name of chain
          example: imtbl-zkevm-testnet
      required:
        - id
        - name
    Filter:
      type: object
      properties:
        name:
          type: string
          description: Name of trait
          example: Rarity
        values:
          description: >-
            List of 100 most common values for this trait sorted by number of
            associated NFTs
          type: array
          items:
            $ref: '#/components/schemas/FilterValue'
        omitted_values_count:
          type: integer
          description: Indicated how many more distinct values exist
          example: 0
      required:
        - name
        - values
        - omitted_values_count
    BasicAPIError:
      type: object
      properties:
        message:
          type: string
          description: Error Message
          example: all fields must be provided
        link:
          type: string
          description: Link to IMX documentation that can help resolve this error
          example: https://docs.x.immutable.com/reference/#/
        trace_id:
          type: string
          description: Trace ID of the initial request
          example: e47634b79a5cd6894ddc9639ec4aad26
      required:
        - message
        - link
        - trace_id
    FilterValue:
      type: object
      properties:
        value:
          type: string
        nft_count:
          type: string
          description: Number of NFTs that have this trait. Uint256 as string
      example:
        - value: Common
          nft_count: '42'
        - value: Rare
          nft_count: '17'
      required:
        - value
        - nft_count
  responses:
    BadRequest:
      description: Bad Request (400)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError400'
    UnauthorisedRequest:
      description: Unauthorised Request (401)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError401'
    ForbiddenRequest:
      description: Forbidden Request (403)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError403'
    NotFound:
      description: The specified resource was not found (404)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError404'
    TooManyRequests:
      description: Too Many Requests (429)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError429'
      headers:
        Retry-After:
          $ref: '#/components/headers/RetryAfter'
    InternalServerError:
      description: Internal Server Error (500)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/APIError500'
  headers:
    RetryAfter:
      description: The number of seconds until the next request can be made.
      schema:
        type: string

````